- make it work with xorg 1.5 auto/th/xorg-driver-video-nvidia-173_14_12-7
authorPatryk Zawadzki <patrys@room-303.com>
Sun, 7 Sep 2008 14:36:40 +0000 (14:36 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
- wfb.so is not meant for Xservers that have libwfb.so
- rel 7

Changed files:
    xorg-driver-video-nvidia.spec -> 1.174

xorg-driver-video-nvidia.spec

index 14145ef4c359bec10353580d8890a7bdae3227f8..eaae0a2c7f20f32543a69a85cb82a0ddf1f19390 100644 (file)
@@ -19,7 +19,7 @@
 %endif
 
 %define                pname           xorg-driver-video-nvidia
-%define                rel             6
+%define                rel             7
 
 Summary:       Linux Drivers for nVidia GeForce/Quadro Chips
 Summary(pl.UTF-8):     Sterowniki do kart graficznych nVidia GeForce/Quadro
@@ -44,7 +44,8 @@ BuildRequires:        rpmbuild(macros) >= 1.379
 BuildRequires: sed >= 4.0
 BuildConflicts:        XFree86-nvidia
 Requires:      xorg-xserver-server
-Requires:      xorg-xserver-server(videodrv-abi) = 2.0
+Requires:      xorg-xserver-server(videodrv-abi) >= 2.0
+Requires:      xorg-xserver-server(videodrv-abi) <= 4.1
 Provides:      OpenGL = 2.1
 Provides:      OpenGL-GLX = 1.4
 Provides:      xorg-xserver-libglx
@@ -230,7 +231,6 @@ install usr/X11R6/lib/modules/libnvidia-wfb.so.%{version} \
 install usr/include/GL/*.h $RPM_BUILD_ROOT%{_includedir}/GL
 
 ln -sf libglx.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/extensions/libglx.so
-ln -sf libnvidia-wfb.so.%{version} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/wfb.so
 
 %if %{with multigl}
 echo %{_libdir}/nvidia >$RPM_BUILD_ROOT%{_sysconfdir}/ld.so.conf.d/nvidia.conf
@@ -315,7 +315,6 @@ fi
 %attr(755,root,root) %{_libdir}/xorg/modules/extensions/libglx.so*
 %endif
 %attr(755,root,root) %{_libdir}/xorg/modules/libnvidia-wfb.so.*.*
-%attr(755,root,root) %{_libdir}/xorg/modules/wfb.so
 %attr(755,root,root) %{_libdir}/xorg/modules/drivers/nvidia_drv.so
 
 %files devel
This page took 0.081343 seconds and 4 git commands to generate.